> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List declaration items

> Paginated declaration items with flexible search/filter support.

Paginated list of declaration items with flexible search and filtering options.

### Query Parameters

<ParamField query="search" type="string">
  Search term to filter items by description, commodity code, etc.
</ParamField>

<ParamField query="page" type="integer" default="1">
  The page number to retrieve.
</ParamField>

<ParamField query="limit" type="integer" default="20">
  The number of items to return per page. Max is 100.
</ParamField>

<ParamField query="deleted" type="string" default="normal">
  Filter by deleted status.

  * Options: `deleted`, `normal`, `all`
</ParamField>

<ParamField query="archived" type="string" default="unarchived">
  Filter by archived status.

  * Options: `unarchived`, `archived`, `all`
</ParamField>

<ParamField query="sortField" type="string">
  The field to sort the items by.
</ParamField>

<ParamField query="sortOrder" type="string" default="asc">
  The sorting order.

  * Options: `asc`, `desc`
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "items": [
      {
        "id": 7,
        "declarationId": 42,
        "description": "Men's cotton trousers",
        "commodityCode": "6203421100",
        "quantity": 500,
        "grossMass": 250,
        "netMass": 220,
        "value": 1875,
        "currency": "EUR",
        "originCountry": "CN"
      }
    ],
    "meta": {
      "totalItems": 1,
      "itemCount": 1,
      "itemsPerPage": 20,
      "totalPages": 1,
      "currentPage": 1
    }
  }
  ```
</ResponseExample>
